=== debian/changelog ===
gmsh (2.8.5+dfsg-1.1ubuntu2) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 00:19:25 +0000

gmsh (2.8.5+dfsg-1.1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Enable mpi on armhf.
    - Enable building on any architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Dec 2014 15:46:12 +0000

gmsh (2.8.5+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch fix-cmake-hdf5.patch to support hdf5 1.8.13 new packaging
    layout (closes: #756472).

 -- Gilles Filippini <pini@debian.org>  Fri, 25 Jul 2014 00:43:50 +0200

gmsh (2.8.5+dfsg-1) unstable; urgency=medium

  * [6fbfd92] Add Files-Excluded into d/copyright
  * [d31524d] Refresh patches.
  * [d43e2c4] Imported Upstream version 2.8.5+dfsg. (Closes: #751464, #749679)
  * [4766758] Remove alauzet patch, accepted by upstream.
  * [a70136f] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Jul 2014 22:21:57 +0200

gmsh (2.8.4+dfsg-1) unstable; urgency=medium

  * [09d4b69] Imported Upstream version 2.8.4+dfsg
  * [85f9ea7] Refresh patches.
  * [df66b87] Enable tetgen. Thanks to Christophe Trophime.
  * [3d7eed8] Update package description.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Feb 2014 21:24:32 +0100

gmsh (2.8.3+dfsg-5) unstable; urgency=medium

  * [6168e45] Return back python-gmsh and gmsh-doc removed accidentally 
              in last uploads. (Closes: #729653)
  * [a6c5815] Use wrap-and-sort.
  * [e1cb0a0] Set Standards-Version: 3.9.5. No changes.
  * [7a492a8] Remove fopenmp option to escape race condition. (Closes: #737103)
  * [cfdec5c] Enable powerpcspe arch. (Closes: #735018)

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Feb 2014 22:51:15 +0100

gmsh (2.8.3+dfsg-4ubuntu2) trusty; urgency=medium

  * Rebuild against oce 0.15.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 14:52:40 +0000

gmsh (2.8.3+dfsg-4ubuntu1) trusty; urgency=medium

  * Enable mpi on armhf.
  * Enable building on any architectures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 18:30:27 +0000

gmsh (2.8.3+dfsg-4build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:23:32 -0500

gmsh (2.8.3+dfsg-4) unstable; urgency=low

  * [05effde] Disable mpi-test on ia64. (Closes: #729654)

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Nov 2013 16:42:30 +0100
