=== debian/control ===
Source: gmsh
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Christophe Prud'homme <prudhomm@debian.org>,
 Anton Gladky <gladk@debian.org>,
 Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends:
 chrpath,
 cmake,
 debhelper (>= 9),
 default-jdk,
 freeglut3-dev,
 gfortran,
 javahelper,
 libann-dev,
 libblas-dev,
 libcgns-dev (>= 3.1.3.2),
 libfltk1.3-dev (>=1.1.7),
 libgl1-mesa-dev,
 libgl2ps-dev,
 libglu1-mesa-dev,
 libgmm++-dev [!hurd-i386 !s390x],
 libhdf5-mpi-dev (>= 1.8.8),
 libjpeg-dev,
 liblapack-dev,
 libmed-dev (>= 2.3.6),
 libmedc-dev (>= 2.3.6),
 liboce-modeling-dev,
 liboce-ocaf-dev,
 liboce-visualization-dev,
 libpng-dev,
 libtet1.5-dev (>=1.5.0-3),
 mpi-default-dev,
 oce-draw,
 python-dev (>= 2.6.6-3~),
 swig2.0,
 texinfo,
 texlive,
 zlib1g-dev
Standards-Version: 3.9.5
X-Python-Version: current
XS-Testsuite: autopkgtest
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmsh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gmsh.git
Homepage: http://www.geuz.org/gmsh/

Package: gmsh
Architecture: any
Depends:
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gmsh-doc
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

Package: gmsh-doc
Architecture: all
Depends:
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: foreign
Replaces:
 gmsh (<< 2.6.0.dfsg-3)
Breaks:
 gmsh (<< 2.6.0.dfsg-3)
Section: doc
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains documentation and examples.

Package: libgmsh-dev
Architecture: any
Section: libdevel
Replaces:
 gmsh (<< 2.6.0.dfsg-3)
Breaks:
 gmsh (<< 2.6.0.dfsg-3)
Recommends:
 gmsh
Depends:
 libgmsh2v5 (= ${binary:Version}),
 libjava-gmsh2 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: foreign
Description: Three-dimensional finite element mesh generator. Development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development files.

Package: libgmsh2v5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: libgmsh2,
 gmsh (<< 2.6.0.dfsg-3),
 libjava-gmsh2 (<<2.7.1.dfsg-1)
Breaks:
 gmsh (<< 2.6.0.dfsg-3),
 libjava-gmsh2 (<<2.7.1.dfsg-1)
Recommends:
 gmsh
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Conflicts: libgmsh2
Description: Three-dimensional finite element mesh generator. Shared library
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains a shared library.

Package: libjava-gmsh2
Section: java
Architecture: any
Replaces:
 gmsh (<< 2.6.0.dfsg-3)
Breaks:
 gmsh (<< 2.6.0.dfsg-3)
Recommends:
 gmsh
Depends:
 libgmsh2v5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: foreign
Description: Three-dimensional finite element mesh generator. Java wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Java wrappers for gmsh
Pre-Depends:
 ${misc:Pre-Depends}

Package: python-gmsh
Section: python
Architecture: any
Replaces:
 gmsh (<< 2.6.0.dfsg-3)
Breaks:
 gmsh (<< 2.6.0.dfsg-3)
Recommends:
 gmsh
Multi-Arch: foreign
Depends:
 libgmsh2v5 (= ${binary:Version}),
 python (<<2.8),
 python (>= 2.7),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Three-dimensional finite element mesh generator. Python wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Python wrapper for gmsh
