=== Common/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-# Gmsh - Copyright (C) 1997-2014 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2015 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to the public mailing list <gmsh@geuz.org>.
 
 set(SRC  
   Gmsh.cpp
-    GmshRemote.cpp
     GmshMessage.cpp
   gmshPopplerWrapper.cpp
   Context.cpp
@@ -24,6 +23,8 @@
   MallocUtils.cpp
   onelabUtils.cpp
   GamePad.cpp
+  GmshRemote.cpp
+  gmshLocalNetworkClient.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
