=== debian/changelog ===
gmsh (2.9.3+dfsg1-1ubuntu1) wily; urgency=medium

  [ Martin Pitt ]
  * Merge with Debian. Remaining Ubuntu changes:
    - Enable mpi on armhf.
    - Enable building on any architectures.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition. (Closes: #791054)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Aug 2015 09:21:04 +0200

gmsh (2.9.3+dfsg1-1) unstable; urgency=medium

  * [9d1319c] Update d/copyright.
  * [136ee92] Update, refresh, rename patches.
  * [f7b8539] Remove README.source
  * [1a675ed] Apply cme fix dpkg-control.
  * [15c506b] Imported Upstream version 2.9.3+dfsg1
  * [a2fc60f] Update changelog.
  * [14b7739] Add mpi-default-bin into BD.
  * [af16049] Move libjava-gmsh.so into libjava-gmsh2.
  * [a7dd03b] Relax check of python versions.
  * [d758ae5] Move debian/upstream -> debian/upstream/metadata

 -- Anton Gladky <gladk@debian.org>  Tue, 26 May 2015 22:08:12 +0200
