=== debian/control ===
--- 
+++ 
@@ -1,60 +1,55 @@
 Source: gmsh
-Section: math
-Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Christophe Prud'homme <prudhomm@debian.org>,
- Anton Gladky <gladk@debian.org>,
- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
-Build-Depends:
- chrpath,
- cmake,
- debhelper (>= 9),
- default-jdk,
- freeglut3-dev,
- gfortran,
- javahelper,
- libann-dev,
- libblas-dev,
- libcgns-dev (>= 3.1.3.2),
- libfltk1.3-dev (>=1.1.7),
- libgl1-mesa-dev,
- libgl2ps-dev,
- libglu1-mesa-dev,
- libgmm++-dev [!hurd-i386 !s390x],
- libhdf5-mpi-dev (>= 1.8.8),
- libjpeg-dev,
- liblapack-dev,
- libmed-dev (>= 2.3.6),
- libmedc-dev (>= 2.3.6),
- liboce-modeling-dev,
- liboce-ocaf-dev,
- liboce-visualization-dev,
- libpng-dev,
- libtet1.5-dev (>=1.5.0-3),
- mpi-default-dev,
- oce-draw,
- python-dev (>= 2.6.6-3~),
- swig2.0,
- texinfo,
- texlive,
- zlib1g-dev
-Standards-Version: 3.9.5
+Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
+           Anton Gladky <gladk@debian.org>,
+           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
+Section: math
+Testsuite: autopkgtest
+Priority: optional
+Build-Depends: chrpath,
+               cmake,
+               debhelper (>= 9),
+               default-jdk,
+               freeglut3-dev,
+               gfortran,
+               javahelper,
+               libann-dev,
+               libblas-dev,
+               libcgns-dev (>= 3.1.3.2),
+               libfltk1.3-dev,
+               libgl1-mesa-dev,
+               libgl2ps-dev,
+               libglu1-mesa-dev,
+               libjpeg-dev,
+               liblapack-dev,
+               libmed-dev,
+               libmedc-dev,
+               liboce-modeling-dev,
+               liboce-ocaf-dev,
+               liboce-visualization-dev,
+               libpng-dev,
+               libtet1.5-dev,
+               mpi-default-bin,
+               mpi-default-dev,
+               oce-draw,
+               python-dev,
+               swig2.0,
+               texinfo,
+               texlive,
+               zlib1g-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmsh.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmsh.git
+Homepage: http://www.geuz.org/gmsh/
 X-Python-Version: current
-XS-Testsuite: autopkgtest
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmsh.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gmsh.git
-Homepage: http://www.geuz.org/gmsh/
 
 Package: gmsh
 Architecture: any
-Depends:
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- gmsh-doc
+Depends: mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gmsh-doc
 Description: Three-dimensional finite element mesh generator
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
  and post-processor. Its design goal is to provide a fast, light and
@@ -69,16 +64,13 @@
 
 Package: gmsh-doc
 Architecture: all
-Depends:
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
 Multi-Arch: foreign
-Replaces:
- gmsh (<< 2.6.0.dfsg-3)
-Breaks:
- gmsh (<< 2.6.0.dfsg-3)
 Section: doc
+Depends: mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: gmsh (<< 2.6.0.dfsg-3)
+Replaces: gmsh (<< 2.6.0.dfsg-3)
 Description: Three-dimensional finite element mesh generator
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
  and post-processor. Its design goal is to provide a fast, light and
@@ -95,18 +87,14 @@
 
 Package: libgmsh-dev
 Architecture: any
+Multi-Arch: foreign
 Section: libdevel
-Replaces:
- gmsh (<< 2.6.0.dfsg-3)
-Breaks:
- gmsh (<< 2.6.0.dfsg-3)
-Recommends:
- gmsh
-Depends:
- libgmsh2v5 (= ${binary:Version}),
- libjava-gmsh2 (= ${binary:Version}),
- ${misc:Depends}
-Multi-Arch: foreign
+Depends: libgmsh2v5 (= ${binary:Version}),
+         libjava-gmsh2 (= ${binary:Version}),
+         ${misc:Depends}
+Recommends: gmsh
+Breaks: gmsh (<< 2.6.0.dfsg-3)
+Replaces: gmsh (<< 2.6.0.dfsg-3)
 Description: Three-dimensional finite element mesh generator. Development files
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
  and post-processor. Its design goal is to provide a fast, light and
@@ -123,21 +111,16 @@
 
 Package: libgmsh2v5
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Replaces: libgmsh2,
- gmsh (<< 2.6.0.dfsg-3),
- libjava-gmsh2 (<<2.7.1.dfsg-1)
-Breaks:
- gmsh (<< 2.6.0.dfsg-3),
- libjava-gmsh2 (<<2.7.1.dfsg-1)
-Recommends:
- gmsh
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gmsh
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: gmsh (<< 2.6.0.dfsg-3),
+        libjava-gmsh2 (<< 2.7.1.dfsg-1)
+Replaces: gmsh (<< 2.6.0.dfsg-3),
+          libjava-gmsh2 (<< 2.7.1.dfsg-1), libgmsh2
 Conflicts: libgmsh2
 Description: Three-dimensional finite element mesh generator. Shared library
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
@@ -154,19 +137,16 @@
  The package contains a shared library.
 
 Package: libjava-gmsh2
+Architecture: any
+Multi-Arch: foreign
 Section: java
-Architecture: any
-Replaces:
- gmsh (<< 2.6.0.dfsg-3)
-Breaks:
- gmsh (<< 2.6.0.dfsg-3)
-Recommends:
- gmsh
-Depends:
- libgmsh2v5 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Multi-Arch: foreign
+Depends: libgmsh2v5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gmsh
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: gmsh (<< 2.6.0.dfsg-3)
+Replaces: gmsh (<< 2.6.0.dfsg-3)
 Description: Three-dimensional finite element mesh generator. Java wrapper
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
  and post-processor. Its design goal is to provide a fast, light and
@@ -180,25 +160,19 @@
  capabilities.
  .
  This package contains the Java wrappers for gmsh
-Pre-Depends:
- ${misc:Pre-Depends}
 
 Package: python-gmsh
+Architecture: any
+Multi-Arch: foreign
 Section: python
-Architecture: any
-Replaces:
- gmsh (<< 2.6.0.dfsg-3)
-Breaks:
- gmsh (<< 2.6.0.dfsg-3)
-Recommends:
- gmsh
-Multi-Arch: foreign
-Depends:
- libgmsh2v5 (= ${binary:Version}),
- python (<<2.8),
- python (>= 2.7),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libgmsh2v5 (= ${binary:Version}),
+         python (<< 2.8),
+         python (>= 2.7),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gmsh
+Breaks: gmsh (<< 2.6.0.dfsg-3)
+Replaces: gmsh (<< 2.6.0.dfsg-3)
 Description: Three-dimensional finite element mesh generator. Python wrapper
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
  and post-processor. Its design goal is to provide a fast, light and
